Description: I think if we add some custom fields to each user account it will make it easier to get to know everyone and 

connect people's faces/accounts to the names.  I propose we add:

* IRC handle - can help with support
* Twitter account - can help with support
* Github account - can help when reviewing patches and giving credit

Thoughts? Any other ones?

History
2011-01-20 02:28 am - Muntek Singh
These along with the standard fields should suffice, I vote yes on all three.

2011-01-20 10:29 am - Wieland Lindenthal
I vote for those three. 

Further, it would be nice to link to your homepage but I believe that this invites spammers to join the project... :(

2011-01-20 11:35 am - Felix Schäfer
Ok with those too. Can we make the custom fields for the twitter and github just take your nick and automagically create the right links and stuff?

2011-01-21 05:54 pm - Eric Davis
Wieland Lindenthal wrote:
> Further, it would be nice to link to your homepage but I believe that this invites spammers to join the project... :(

I agree, we'd need a bit more control over links I think.

Felix SchÃ¤fer wrote:
> Ok with those too. Can we make the custom fields for the twitter and github just take your nick and automagically create the right links and stuff?

Not yet, Chili Project doesn't support auto-linking custom fields. Ideally, we could create new Custom Data Types for each of those and then it would 
just work.  I started working on a url one but we would need to change how Chili Project is escaping custom data first.  Nothing too difficult, just needs 
some major testing.

2011-01-21 05:58 pm - Eric Davis
- Status set to Closed

Added the 3 custom user fields.  "Example of mine":/users/1
